#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 6. Text Editors

- Prev

  Emacs-29.2

- Next

  JOE-4.6

- Up
- Home

# Gedit-46.2

## Introduction to Gedit

The Gedit package contains a lightweight UTF-8 text editor for the GNOME Desktop.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gedit/46/gedit-46.2.tar.xz

- Download MD5 sum: 01327f0d35778d8f3a914fffb69e8cd6

- Download size: 2.6 MB

- Estimated disk space required: 66 MB (with tests)

- Estimated build time: 0.2 SBU (using parallelism=4; with tests)

### Gedit Dependencies

#### Required

gsettings-desktop-schemas-45.0, itstool-2.0.7, libpeas-1.36.0, libgeditsourceview-299.0.4, and tepl-6.8.0

#### Recommended

gspell-1.12.2, Gvfs-1.52.2 (runtime), ISO Codes-4.16.0, and PyGObject-3.46.0 (Python 3 module)

#### Optional

GTK-Doc-1.33.2, Vala-0.56.14, and zeitgeist

## Installation of Gedit

Install Gedit by running the following commands:

    mkdir gedit-build &&
    cd    gedit-build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -Dgtk_doc=false     \
                .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

## Command Explanations

`-Dgtk_doc=false`: This switch disables generating the API documentation. Omit this switch if you have GTK-Doc-1.33.2 installed and wish to generate the API documentation.

## Contents

Installed Program: gedit
Installed Libraries: libgedit-46.so
Installed Directories: /usr/include/gedit-46 and /usr/{lib,share,share/help/*}/gedit

### Short Descriptions

gedit | is a lightweight text editor integrated with the GNOME Desktop

- Prev

  Emacs-29.2

- Next

  JOE-4.6

- Up
- Home